Set dateUploaded date in SystemMetadata to reflect true USGSCSAS upload dates

2014-03-14 01:02 - Chris Jones

Status: Closed Start date: 2014-03-14

Priority: Normal Due date:  

Assignee: Ranjeet Devarakonda % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

Many Member Nodes such as the USGSCSAS have been curating data for years (or even decades) prior to DataONE.  Therefore,

for these datasets, the SystemMetadata.dateUploaded field should reflect the date when the repository first registered the dataset. 

Particularly, Tier I nodes such as ORNLDAAC do not implement the MNStorage.create() method, and so need to rely on the creation

date of the original science metadata documents.

The following list shows USGSCSAS identifiers and their dateUploaded values, all of which range from 2012 to 2013, which does not

represent the actual upload dates to the CSAS.

https://cn.dataone.org/cn/v1/query/solr/?q=datasource:*USGSCSAS&fl=identifier,dateUploaded&rows=10000&wt=csv

Update each system metadata document on the member node with dateUploaded dates that reflect the true upload dates. Once

done, contact Chris/Robert/Ben/Skye, etc. (or just support@dataone.org) to have the content re-harvested so the CNs reflect the

correct dates.

History

#1 - 2014-03-14 03:29 - Chris Jones

- Assignee changed from Giri Palanisamy to Ranjeet Devarakonda

#2 - 2014-03-14 03:30 - Chris Jones

- Description updated

#3 - 2015-11-18 16:55 - Laura Moyers

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

Closing this ticket since USGS CSAS is to be deprecated soon and this issue becomes a non-issue.  However, a similar situation may exist with

content on the USGS SDC (Science Data Catalog) MN.  A ticket will be added under SDC to investigate the sysmeta dateUploaded date values and

determine if there should be any action.
